# API get list withdraw requests

* **Purpose**: This is the API used to get list withdraws.
* **API**:
  * Path: ***v2/col/withdraw-requests***
  * Method: ***GET***
  * Request: Content-Type: ***application/json***

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>pageIndex</td><td>Number</td><td>N</td><td>Pagination index (start from 1, default value is 1)</td></tr><tr><td>pageSize</td><td>Number</td><td>N</td><td>Current Page size (Default value is 20, maximum value is 500)</td></tr><tr><td>dateFr</td><td>Datetime String (ISO 8601)</td><td>N</td><td>Get records created from date</td></tr><tr><td>dateTo</td><td>Datetime String (ISO 8601)</td><td>N</td><td>Get records created to date</td></tr><tr><td>status</td><td>String</td><td>N</td><td>To filter withdraw list by status</td></tr></tbody></table>

### **Response Data**

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>code</td><td>Number</td><td>Error code, refer to <a href="../error-codes">table of error codes</a>.</td></tr><tr><td>data</td><td>Object</td><td><p>Return Object as follow:</p><pre class="language-postman_json"><code class="lang-postman_json">
{
  "totalDocs": Number, // Total records base on request params
  "totalPages": Number, // Total pages base on request pageSize
  "docs": Array of GetListWithdrawRequestsResponse
}
</code></pre><p>Ref to <a href="#getlistwithdrawrequestsresponse">GetListWithdrawRequestsResponse</a> object.</p></td></tr><tr><td>message</td><td>String</td><td>Error description</td></tr><tr><td>neoResponseId</td><td>String</td><td>The ID of NeoX response</td></tr></tbody></table>

#### GetListWithdrawRequestsResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>merchantCode</td><td>String</td><td>Merchant Code</td></tr><tr><td>requestId</td><td>String</td><td>The requestId when creating withdraw request.</td></tr><tr><td>amount</td><td>Number</td><td>Amount of payout/remitout request in VND.</td></tr><tr><td>currency</td><td>String</td><td>(Optional) Remitout request currency.</td></tr><tr><td>remitedAmount</td><td>Number</td><td>(Optional) Amount of remitout request in currency.</td></tr><tr><td>fxRate</td><td>Number</td><td>(Optional) Foreign exchange rate for remitout request.</td></tr><tr><td>bankSwiftCode</td><td>String</td><td>Withdraw request to bank swiftcode.</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Withdraw request to bank account number.</td></tr><tr><td>bankAccountName</td><td>String</td><td>Withdraw request to bank account name.</td></tr><tr><td>status</td><td>String</td><td>Withdraw request status, include:<br>PENDING: Withdraw request has been created and waiting for approval.<br>APPROVED: Withdraw request has been approved.<br>REJECTED: Withdraw request has been rejected, view note for reject reasons.</td></tr><tr><td>createdAt</td><td>Datetime String (ISO 8601)</td><td>Record created time</td></tr><tr><td>updatedAt</td><td>Datetime String (ISO 8601)</td><td>Record last updated time</td></tr></tbody></table>
